<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/highlighter/Highlighter.class.php');

/**
 * Highlights syntax of c / c++ source code.
 * 
 * @author	Michael Schaefer
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.code
 * @subpackage	data.message.bbcode.highlighter
 * @category 	Community Framework (commercial)
 */
class CHighlighter extends Highlighter {
	// highlighter syntax
	protected $separators = array("(", ")", "{", "}", "[", "]", ";", ".", ",");
	protected $operators = array("=", ">", "<", "!", "~", "?", ":", "==", "<=", ">=", "!=",
		"&&", "||", "++", "--", "+", "-", "*", "/", "&", "|", "^", "%", "<<", ">>", ">>>", "+=", "-=", "*=",
		"/=", "&=", "|=", "^=", "%=", "<<=", ">>=", ">>>=");
	
	protected $keywords1 = array(
		"and",
		"and_eq",
		"asm",
		"bitand",
		"bitor",
		"break",
		"case",
		"catch",
		"compl",
		"const_cast",
		"continue",
		"default",
		"delete",
		"do",
		"dynamic_cast",
		"else",
		"for",
		"fortran",
		"friend",
		"goto",
		"if",
		"new",
		"not",
		"not_eq",
		"operator",
		"or",
		"or_eq",
		"private",
		"protected",
		"public",
		"reinterpret_cast",
		"return",
		"sizeof",
		"static_cast",
		"switch",
		"this",
		"throw",
		"try",
		"typeid",
		"using",
		"while",
		"xor",
		"xor_eq"
	);
	protected $keywords2 = array(
		"auto",
		"bool",
		"char",
		"class",
		"const",
		"double",
		"enum",
		"explicit",
		"export",
		"extern",
		"float",
		"inline",
		"int",
		"long",
		"mutable",
		"namespace",
		"register",
		"short",
		"signed",
		"static",
		"struct",
		"template",
		"typedef",
		"typename",
		"union",
		"unsigned",
		"virtual",
		"void",
		"volatile",
		"wchar_t"
	);
}
?>