<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/highlighter/Highlighter.class.php');

/**
 * Highlights syntax of java source code.
 * 
 * @author	Michael Schaefer
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.code
 * @subpackage	data.message.bbcode.highlighter
 * @category 	Community Framework (commercial)
 */
class JavaHighlighter extends Highlighter {
	// highlighter syntax
	protected $separators = array("(", ")", "{", "}", "[", "]", ";", ".", ",");
	protected $keywords2 = array(
		'package',
		'abstract',
		'break',
		'case',
		'catch',
		'class',
		'continue',
		'default',
		'do',
		'else',
		'extends',
		'false',
		'finally',
		'for',
		'goto',
		'if',
		'implements',
		'instanceof',
		'interface',
		'native',
		'new',
		'null',
		'private',
		'protected',
		'public',
		'return',
		'super',
		'strictfp',
		'switch',
		'synchronized',
		'this',
		'throws',
		'throw',
		'transient',
		'true',
		'try',
		'volatile',
		'while',
		'boolean',
		'byte',
		'char',
		'const',
		'double',
		'final',
		'float',
		'int',
		'long',
		'short',
		'static',
		'void'
	);
	protected $keywords3 = array(
		'Integer', 'Math', 'Object', 'String', 'StringBuffer', 'System', 'Thread', 'Exception'
	);
}
?>