<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/highlighter/Highlighter.class.php');

/**
 * Highlights syntax of javascript source code.
 * 
 * @author	Michael Schaefer
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.code
 * @subpackage	data.message.bbcode.highlighter
 * @category 	Community Framework (commercial)
 */
class JsHighlighter extends Highlighter {
	// highlighter syntax
	protected $separators = array("(", ")", "{", "}", "[", "]", ";", ".", ",");
	protected $operators = array("=", ">", "<", "!", "~", "?", ":", "==", "<=", ">=", "!=",
		"&&", "||", "++", "--", "+", "-", "*", "/", "&", "|", "^", "%", "<<", ">>", ">>>", "+=", "-=", "*=",
		"/=", "&=", "|=", "^=", "%=", "<<=", ">>=", ">>>=");
	
	protected $keywords1 = array(
		"String",
		"Array",
		"RegExp",
		"Function",
		"Math",
		"Number",
		"Date",
		"Image",
		"window",
		"document",
		"navigator",
		"onAbort",
		"onBlur",
		"onChange",
		"onClick",
		"onDblClick",
		"onDragDrop",
		"onError",
		"onFocus",
		"onKeyDown",
		"onKeyPress",
		"onKeyUp",
		"onLoad",
		"onMouseDown",
		"onMouseOver",
		"onMouseOut",
		"onMouseMove",
		"onMouseUp",
		"onMove",
		"onReset",
		"onResize",
		"onSelect",
		"onSubmit",
		"onUnload"
	);
	protected $keywords2 = array(
		"break",
		"continue",
		"do",
		"while",
		"export",
		"for",
		"in",
		"if",
		"else",
		"import",
		"return",
		"label",
		"switch",
		"case",
		"var",
		"with",
		"delete",
		"new",
		"this",
		"typeof",
		"void",
		"abstract",
		"boolean",
		"byte",
		"catch",
		"char",
		"class",
		"const",
		"debugger",
		"default",
		"double",
		"enum",
		"extends",
		"false",
		"final",
		"finally",
		"float",
		"function",
		"implements",
		"goto",
		"instanceof",
		"int",
		"interface",
		"long",
		"native",
		"null",
		"package",
		"private",
		"protected",
		"public",
		"short",
		"static",
		"super",
		"synchronized",
		"throw",
		"throws",
		"transient",
		"true",
		"try",
		"volatile"
	);
}
?>