<?php
// wcf imports
require_once(WCF_DIR.'lib/data/message/bbcode/highlighter/HtmlHighlighter.class.php');

/**
 * Highlights syntax of template documents with smarty-syntax.
 * 
 * @author	Michael Schaefer
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wcf.data.message.bbcode.code
 * @subpackage	data.message.bbcode.highlighter
 * @category 	Community Framework (commercial)
 */
class TplHighlighter extends HtmlHighlighter {
	/**
	 * @see	Highlighter::highlightComments()
	 */
	protected function highlightComments($string) {
		$string = parent::highlightComments($string);
		
		// highlight template tags
		$string = preg_replace('~\{(?=\S).+?(?<=\S)\}~s', '<span style="'.$this->style['keywords3'].'">\\0</span>', $string);
		
		return $string;
	}
}
?>